## org.eclipse.m2m.atl.adt.ui.text.atl.types
Class BooleanType

    java.lang.Object
      org.eclipse.m2m.atl.adt.ui.text.atl.types.OclAnyType
          org.eclipse.m2m.atl.adt.ui.text.atl.types.BooleanType

    public final class BooleanType

extends OclAnyType

The ATL Boolean type.

Field Summary

Fields inherited from class org.eclipse.m2m.atl.adt.ui.text.atl.types.OclAnyType
`oclType`

Method Summary
`static BooleanType` `getInstance()` Returns the Boolean type singleton.
`OclAnyType[]` `getSupertypes()`
`protected java.util.List<Operation>` `getTypeOperations()` Return the local type operations.

Methods inherited from class org.eclipse.m2m.atl.adt.ui.text.atl.types.OclAnyType
`create, equals, getFeatures, getOclType, getOperations, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### getSupertypes

    public OclAnyType[] getSupertypes()

  Overrides:
    `getSupertypes` in class `OclAnyType`
  See Also:
    `OclAnyType.getSupertypes()`

### getTypeOperations

    protected java.util.List<Operation> getTypeOperations()

  Return the local type operations. Subclasses may override this method to add their own operation to the supertypes's ones.

  Overrides:
    `getTypeOperations` in class `OclAnyType`
  Returns:
    the operations
  See Also:
    `OclAnyType.getTypeOperations()`

### getInstance

    public static BooleanType getInstance()

  Returns the Boolean type singleton.

  Returns:
    the Boolean type singleton

Copyright 2007 IBM Corporation and others. All Rights Reserved.